%define	name	vegastrike
%define	version	0.3.1
%define	release	2mdk
%define	summary	A free 3D space fight simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Games/Arcade
URL:		http://vegastrike.sourceforge.net
Source0:	%{name}.tar.bz2
Source1:	%{name}-manpages.tar.bz2
Source4:	%{name}-icons.tar.bz2
Patch0:		%{name}-endian_fixes.patch.bz2
#Patch1:	%{name}-launcher.patch.bz2
Patch2:		%{name}-update-obsolete-flags.patch.bz2
Patch3:		%{name}-misc.patch.bz2
Patch4:		%{name}-path_fixes.patch.bz2
Patch5:		%{name}-vsinstall.patch.bz2
#Patch6:	%{name}-vssetup.patch.bz2
Requires:	%{name}-data
BuildRequires:	libpng-devel libMesaGLU-devel zlib-devel libpython-devel libopenal-devel libnas-devel
BuildRequires:	libjpeg-devel XFree86-devel libSDL_net-devel libMesaglut-devel libogg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Vega Strike is a GPL 3d OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -n %{name} -a1
%patch0 -p1
#%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1

%build
%{__aclocal}
%{__autoheader}
%{__automake} --foreign --add-missing
%{__autoconf}
%configure2_5x	--with-bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/%{name}/data \
		--with-png-libs="-L%{_libdir} -lz -lSDL" \
		--with-sdl=/usr/X11R6/include
#(peroyvind) these are ugly workarounds..
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}
install -d $RPM_BUILD_ROOT%{_mandir}
cp -a man6 $RPM_BUILD_ROOT%{_mandir}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Vega Strike"\
		longtitle="%{summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE4} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE4} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE4} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man6/*
%dir %{_gamesdatadir}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- fixed buildrequires
- drop unapplied patches
- added url

* Tue Apr 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
